<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="14.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{568F3936-B520-4371-981C-E7A4DA781737}</ProjectGuid>
    <OutputType>WinExe</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>com.muldersoft.slunkcrypt.gui</RootNamespace>
    <AssemblyName>slunkcrypt-gui</AssemblyName>
    <TargetFrameworkVersion>v4.5.2</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <ProjectTypeGuids>{60dc8134-eba5-43b8-bcc9-bb4bc16c2548};{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</ProjectTypeGuids>
    <WarningLevel>4</WarningLevel>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>$(SolutionDir)bin\debug\</OutputPath>
    <IntermediateOutputPath>$(SolutionDir)obj\Debug\SlunkCryptGUI\</IntermediateOutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
    <GenerateSerializationAssemblies>Off</GenerateSerializationAssemblies>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugType>none</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>$(SolutionDir)bin\static\</OutputPath>
    <IntermediateOutputPath>$(SolutionDir)obj\Release\SlunkCryptGUI\</IntermediateOutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
    <GenerateSerializationAssemblies>Off</GenerateSerializationAssemblies>
  </PropertyGroup>
  <PropertyGroup>
    <StartupObject>com.muldersoft.slunkcrypt.gui.App</StartupObject>
  </PropertyGroup>
  <PropertyGroup>
    <ApplicationIcon>Resources\Application.ico</ApplicationIcon>
  </PropertyGroup>
  <PropertyGroup>
    <RunPostBuildEvent>OnOutputUpdated</RunPostBuildEvent>
  </PropertyGroup>
  <PropertyGroup />
  <PropertyGroup />
  <PropertyGroup>
    <ApplicationManifest>Resources\Application.manifest</ApplicationManifest>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Configuration" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xaml" />
    <Reference Include="PresentationCore" />
    <Reference Include="PresentationFramework" />
    <Reference Include="WindowsBase" />
  </ItemGroup>
  <ItemGroup>
    <ApplicationDefinition Include="App.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </ApplicationDefinition>
    <Compile Include="Controls\Hyperlink.xaml.cs">
      <DependentUpon>Hyperlink.xaml</DependentUpon>
    </Compile>
    <Compile Include="Controls\ImageButton.xaml.cs">
      <DependentUpon>ImageButton.xaml</DependentUpon>
    </Compile>
    <Compile Include="Controls\ImageToggleButton.xaml.cs">
      <DependentUpon>ImageToggleButton.xaml</DependentUpon>
    </Compile>
    <Compile Include="Controls\PasswordToggleBox.xaml.cs">
      <DependentUpon>PasswordToggleBox.xaml</DependentUpon>
    </Compile>
    <Compile Include="Properties\_Version.cs" />
    <Compile Include="Utilities\EnumHelper.cs" />
    <Compile Include="Process\ExecutableHelper.cs" />
    <Compile Include="Utilities\ApplicationConfig.cs" />
    <Compile Include="Utilities\CPUFeatures.cs" />
    <Compile Include="Process\SlunkCryptRunner.cs" />
    <Compile Include="Utilities\BusyManager.cs" />
    <Compile Include="Utilities\CPU\CPUCapabilities.cs" />
    <Compile Include="Process\PasswordGen.cs" />
    <Compile Include="Utilities\PathUtils.cs" />
    <Compile Include="Utilities\SystemMenu.cs" />
    <Compile Include="Utilities\VisibilityConverter.cs" />
    <Compile Include="Utilities\FontSizeConverter.cs" />
    <Compile Include="Utilities\ProcessRunner.cs" />
    <Compile Include="Utilities\VersionInfo.cs" />
    <Page Include="Controls\Hyperlink.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="Controls\ImageButton.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="Controls\ImageToggleButton.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="Controls\PasswordToggleBox.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="SlunkCryptGUI.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Compile Include="App.xaml.cs">
      <DependentUpon>App.xaml</DependentUpon>
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="SlunkCryptGUI.xaml.cs">
      <DependentUpon>SlunkCryptGUI.xaml</DependentUpon>
      <SubType>Code</SubType>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Properties\AssemblyInfo.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
    <AppDesigner Include="Properties\" />
    <None Include="Resources\Application.manifest" />
    <Resource Include="Resources\Fonts\Hack-Bold.ttf" />
    <Resource Include="Resources\Fonts\Hack-BoldItalic.ttf" />
    <Resource Include="Resources\Fonts\Hack-Italic.ttf" />
    <Resource Include="Resources\Fonts\Hack-Regular.ttf" />
  </ItemGroup>
  <ItemGroup>
    <None Include="App.config" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Resources\Banner.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Resources\Application.ico" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Resources\Cancel.png" />
    <Resource Include="Resources\Exit.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Resources\Info.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Resources\Start.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Resources\Browse.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Resources\Eye_1.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Resources\Eye_2.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Resources\Tab_Encrypt.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Resources\Tab_Decrypt.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Resources\Tab_LogFile.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Resources\Refresh.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Resources\Die.png" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <PropertyGroup>
    <PostBuildEvent>copy /Y "$(SolutionDir)\etc\deps\cpu-capabilities\*.dll" "$(TargetDir)"</PostBuildEvent>
  </PropertyGroup>
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>